<?php

namespace DemoModularityConnectorProvider;

use Inpsyde\Modularity\Module\ExecutableModule;
use Inpsyde\Modularity\Module\ServiceModule;
use Inpsyde\Modularity\Module\ModuleClassNameIdTrait;
use Psr\Container\ContainerInterface;

class ProviderModule implements ExecutableModule, ServiceModule
{
    use ModuleClassNameIdTrait;

    public function services(): array
    {
        return [
            'ryan.shared.service' => fn() => new ContentModifier(),
        ];
    }

    public function run(ContainerInterface $container): bool
    {
        add_action('wp_footer',function() {echo 'Just confirming that the run() method in the RyansOtherModule class is firing!';});

        return true;
    }
}
